# SaveDefaults.tcl  -  96/07/19
##############################################################################
# GFax version 1.0
#
#   Copyright (c) 1996  George A. Farris,
#                       G.M. Systems,
#                       2570 Seaview Road,
#                       Mill Bay, British Columbia,
#                       Canada  V0R 2P0
#
#                       E-Mail: george@gmsys.com
#
#   All rights reserved.
#
#  Redistribution and use for non-commercial purposes in source and 
#  binary forms are permitted provided that the above copyright 
#  notice and this document are duplicated in all such forms and that 
#  any documentation, advertising materials, and other materials 
#  related to such distribution and use acknowledge that the software 
#  was developed by George A. Farris. 
#
#  This is SHAREWARE. As you will see from the following paragraphs,
#  I am trying to keep this as simple as possible while still
#  trying to get some benefit for myself from this software. 
#  It is an awful lot of work writing and maintaining such a package,
#  so please take the time to read this and comply to it.
#
#  Private use of GFax:
#
#  You are granted the right to use GFax for private purpose free
#  of charge.
#  
#  Using GFax in a commercial environment:        (very cheap!)
#  
#  A license for using GFax in a commercial or educational environment
#  can be obtained from the author for a small fee. To register your
#  copy of GFax, contact the author at the address above or just 
#  send an email. Registration fees for a "small" environment start
#  from US $10 and are negotiable. This will enable you to receive
#  full support and information on GFax development from the author.    
#
#  Distributions:
#
#  I would like to make GFax accessible to as many people as possible.
#  Therefor I grant the permission to include GFax in any Linux
#  distributions, as long as it is only a minor part of the distribution.
#  I would appreciate a copy of the distribution be sent to me for
#  support purposes but it isn't necessary.  You are not allowed to sell
#  or distribute any software package which is based mainly or derived from
#  GFax withour prior written permission from the author.
#  
#  If you are in doubt whether you can distribute GFax or not, just
#  contact the author. Including it in a distribution which is also
#  available free of charge (e.g. by FTP), is fine. 
#
#
#  NO WARRANTY:
#  
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
#  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
#  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-
#  INFRINGEMENT.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY 
#  CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
#  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECT-
#  ION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
##############################################################################

proc SaveDefaults {} {
	global cover_page send_now network_fax send_mail resolution user_name
	global fax_host net_port user_email prefix covpage_file spool_dir
	global fax_software fax_number
	
	global send_bg_color
	global send_fg_color
	global gfax_home
	global home

	# If a HOME/.gfax/gfaxrc file exists use it
	if { [file readable $home/.gfax/gfaxrc] } {
		set fd [open $home/.gfax/gfaxrc w]
	} else {
		set fd [open $gfax_home/gfaxrc w] 
	}

	puts $fd "\[checkbuttons\]"
	puts $fd "cover_page   $cover_page  #Send cover page as default,0 or 1"
	puts $fd "send_now     $send_now  #Send fax immediatly, 0 or 1"
	puts $fd "network_fax  $network_fax  #Network fax server, 0 or 1"
	puts $fd "send_mail    $send_mail  #Send mail to user when finished, 0 or 1"
	puts $fd "resolution   $resolution  #Default to high resolution mode, 0 or 1"

	puts $fd "\[radiobuttons\]"
	set YorN N
	if { $fax_software == "sfax" } {
		set YorN Y
	}	
	puts $fd "fax_software  sfax  $YorN  #Mgetty+Sendfax fax software, Y or N"
	set YorN N
	if { $fax_software == "efax" } {
		set YorN Y
	}	
	puts $fd "fax_software  efax  $YorN  #Efax fax software, Y or N"
	set YorN N
	if { $fax_software == "hfax" } {
		set YorN Y
	}	
	puts $fd "fax_software  hfax  $YorN  #Hylafax fax software, Y or N"
 
	puts $fd "\[entries\]"
	puts $fd "fax_host  $fax_host  #Fax host, spool or host name"
	puts $fd "net_port  $net_port  #TCP port to connect to if network fax"
	puts $fd "user_name  $user_name  #User name for cover sheet"
	puts $fd "user_email  $user_email  #email address,  None or address"
	puts $fd "fax_number  $fax_number  #Your fax phone number"
	puts $fd "prefix  $prefix  #Default telephone prefix, defaults to the word None"
	puts $fd "covpage_file  $covpage_file  #Cover page file name, complete path or the word None"
	puts $fd "spool_dir  $spool_dir  #Spool directory for gfax software"

	close $fd	
	destroy .cfg
}
