# gfaxhelp.tcl  -  96/07/19
##############################################################################
# GFax version 1.0
#
#   Copyright (c) 1996  George A. Farris,
#                       G.M. Systems,
#                       2570 Seaview Road,
#                       Mill Bay, British Columbia,
#                       Canada  V0R 2P0
#
#                       E-Mail: george@gmsys.com
#
#   All rights reserved.
#
#  Redistribution and use for non-commercial purposes in source and 
#  binary forms are permitted provided that the above copyright 
#  notice and this document are duplicated in all such forms and that 
#  any documentation, advertising materials, and other materials 
#  related to such distribution and use acknowledge that the software 
#  was developed by George A. Farris. 
#
#  This is SHAREWARE. As you will see from the following paragraphs,
#  I am trying to keep this as simple as possible while still
#  trying to get some benefit for myself from this software. 
#  It is an awful lot of work writing and maintaining such a package,
#  so please take the time to read this and comply to it.
#
#  Private use of GFax:
#
#  You are granted the right to use GFax for private purpose free
#  of charge.
#  
#  Using GFax in a commercial environment:        (very cheap!)
#  
#  A license for using GFax in a commercial or educational environment
#  can be obtained from the author for a small fee. To register your
#  copy of GFax, contact the author at the address above or just 
#  send an email. Registration fees for a "small" environment start
#  from US $10 and are negotiable. This will enable you to receive
#  full support and information on GFax development from the author.    
#
#  Distributions:
#
#  I would like to make GFax accessible to as many people as possible.
#  Therefor I grant the permission to include GFax in any Linux
#  distributions, as long as it is only a minor part of the distribution.
#  I would appreciate a copy of the distribution be sent to me for
#  support purposes but it isn't necessary.  You are not allowed to sell
#  or distribute any software package which is based mainly or derived from
#  GFax withour prior written permission from the author.
#  
#  If you are in doubt whether you can distribute GFax or not, just
#  contact the author. Including it in a distribution which is also
#  available free of charge (e.g. by FTP), is fine. 
#
#
#  NO WARRANTY:
#  
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
#  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
#  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-
#  INFRINGEMENT.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY 
#  CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
#  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECT-
#  ION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
##############################################################################

# Help command when it finally comes.
proc help {} {
	global gfax_home

	toplevel .help
	wm title .help "GFax Help" 

	frame .help.t
	text .help.t.text -yscrollcommand ".help.t.scroll set"
	scrollbar .help.t.scroll -command ".help.t.text yview"
	pack .help.t -side top
	pack .help.t.scroll -side right -fill y
	pack .help.t.text -side left
	
	.help.t.text delete 1.0 end
	set fd [open $gfax_home/manual.txt r]
	while {![eof $fd]} {
		.help.t.text insert end [read $fd 1000]
	}
	close $fd
	.help.t.text configure -state disabled

	button .help.cancel -text "   Close   " -command "destroy .help"
	pack .help.cancel -side top 
	tkwait window .help

}

proc about {} {
	toplevel .about
	wm title .about "About GFax" 
	
	set msg "A popup fax manager\n\
			for Unix and the X window system\n\n\
			Version 1.0  -  96-08-01\n\n\
			Written by George A. Farris\n\
			G.M. Systems\n\
			(george@gmsys.com)\n\
			(http://www.ultranet.ca/gmsys)\n\n\
			If you like it please send\n\
			me a short email. I appreciate\n\
			all comments and suggestions\n\n\n"

	label .about.title -text GFax -anchor c \
	-font -adobe-new\ century\ schoolbook-bold-r-normal--24-240-75-75-p-149-iso8859-1
	pack .about.title -side top -pady 5

    message .about.m -text $msg -aspect 1000 -justify center
	pack .about.m -side top

	button .about.cancel -text "   Close   " -command "destroy .about"
	pack .about.cancel -side top 
	tkwait window .about
}

proc license {} {
	global gfax_home

	toplevel .lic
	wm title .lic "GFax Licencing" 

	
	frame .lic.t
	text .lic.t.text -yscrollcommand ".lic.t.scroll set"
	scrollbar .lic.t.scroll -command ".lic.t.text yview"
	pack .lic.t -side top
	pack .lic.t.scroll -side right -fill y
	pack .lic.t.text -side left
	
	.lic.t.text delete 1.0 end
	set fd [open $gfax_home/license.txt r]
	while {![eof $fd]} {
		.lic.t.text insert end [read $fd 1000]
	}
	close $fd
	.lic.t.text configure -state disabled

	button .lic.cancel -text "   Close   " -command "destroy .lic"
	pack .lic.cancel -side top 
	tkwait window .lic
	
}
