# netfax.tcl  -  96/07/19
##############################################################################
# GFax version 1.0
#
#   Copyright (c) 1996  George A. Farris,
#                       G.M. Systems,
#                       2570 Seaview Road,
#                       Mill Bay, British Columbia,
#                       Canada  V0R 2P0
#
#                       E-Mail: george@gmsys.com
#
#   All rights reserved.
#
#  Redistribution and use for non-commercial purposes in source and 
#  binary forms are permitted provided that the above copyright 
#  notice and this document are duplicated in all such forms and that 
#  any documentation, advertising materials, and other materials 
#  related to such distribution and use acknowledge that the software 
#  was developed by George A. Farris. 
#
#  This is SHAREWARE. As you will see from the following paragraphs,
#  I am trying to keep this as simple as possible while still
#  trying to get some benefit for myself from this software. 
#  It is an awful lot of work writing and maintaining such a package,
#  so please take the time to read this and comply to it.
#
#  Private use of GFax:
#
#  You are granted the right to use GFax for private purpose free
#  of charge.
#  
#  Using GFax in a commercial environment:        (very cheap!)
#  
#  A license for using GFax in a commercial or educational environment
#  can be obtained from the author for a small fee. To register your
#  copy of GFax, contact the author at the address above or just 
#  send an email. Registration fees for a "small" environment start
#  from US $10 and are negotiable. This will enable you to receive
#  full support and information on GFax development from the author.    
#
#  Distributions:
#
#  I would like to make GFax accessible to as many people as possible.
#  Therefor I grant the permission to include GFax in any Linux
#  distributions, as long as it is only a minor part of the distribution.
#  I would appreciate a copy of the distribution be sent to me for
#  support purposes but it isn't necessary.  You are not allowed to sell
#  or distribute any software package which is based mainly or derived from
#  GFax withour prior written permission from the author.
#  
#  If you are in doubt whether you can distribute GFax or not, just
#  contact the author. Including it in a distribution which is also
#  available free of charge (e.g. by FTP), is fine. 
#
#
#  NO WARRANTY:
#  
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
#  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
#  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-
#  INFRINGEMENT.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY 
#  CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
#  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECT-
#  ION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
##############################################################################

proc donetfax {} {
	global name atten phone prefix resolution user_name
	global cover_page covpage_file send_now send_mail fax_number
	global network_fax fax_host net_port user_email gfax_home spool_dir
	global hour minute ampm day month year RandName

	# If this is a network fax setup, open a connection to the fax
	# server on the (fax_host) and send the info and the file
	if { $network_fax } {
		# Transmit the postscript file.
		set sock_id [socket $fax_host $net_port]

		set file_id [open $spool_dir/D.$RandName r]
	
		while { [gets $file_id line] >= 0} {
			puts $sock_id $line
		}
	
		close $file_id
		flush $sock_id
		close $sock_id

		# Transmit the information file.
		set sock_id [socket $fax_host $net_port]
		puts $sock_id $phone
		puts $sock_id $name
		puts $sock_id $atten
		puts $sock_id $prefix
		puts $sock_id $send_now
		puts $sock_id $resolution
		puts $sock_id $cover_page
		puts $sock_id $covpage_file
		puts $sock_id $user_name
		puts $sock_id $fax_number
		puts $sock_id $user_email
		puts $sock_id $hour-$minute-$ampm
		puts $sock_id $year-$month-$day
		puts $sock_id [env(DISPLAY)]
			
		flush $sock_id
		close $sock_id

		exit
	}
	# End of network_fax
		
}
