# covpgsfax.tcl
##############################################################################
# GFax version 1.0
#
#   Copyright (c) 1996  George A. Farris,
#                       G.M. Systems,
#                       2570 Seaview Road,
#                       Mill Bay, British Columbia,
#                       Canada  V0R 2P0
#
#                       E-Mail: george@gmsys.com
#
#   All rights reserved.
#
#  Redistribution and use for non-commercial purposes in source and 
#  binary forms are permitted provided that the above copyright 
#  notice and this document are duplicated in all such forms and that 
#  any documentation, advertising materials, and other materials 
#  related to such distribution and use acknowledge that the software 
#  was developed by George A. Farris. 
#
#  This is SHAREWARE. As you will see from the following paragraphs,
#  I am trying to keep this as simple as possible while still
#  trying to get some benefit for myself from this software. 
#  It is an awful lot of work writing and maintaining such a package,
#  so please take the time to read this and comply to it.
#
#  Private use of GFax:
#
#  You are granted the right to use GFax for private purpose free
#  of charge.
#  
#  Using GFax in a commercial environment:        (very cheap!)
#  
#  A license for using GFax in a commercial or educational environment
#  can be obtained from the author for a small fee. To register your
#  copy of GFax, contact the author at the address above or just 
#  send an email. Registration fees for a "small" environment start
#  from US $10 and are negotiable. This will enable you to receive
#  full support and information on GFax development from the author.    
#
#  Distributions:
#
#  I would like to make GFax accessible to as many people as possible.
#  Therefor I grant the permission to include GFax in any Linux
#  distributions, as long as it is only a minor part of the distribution.
#  I would appreciate a copy of the distribution be sent to me for
#  support purposes but it isn't necessary.  You are not allowed to sell
#  or distribute any software package which is based mainly or derived from
#  GFax withour prior written permission from the author.
#  
#  If you are in doubt whether you can distribute GFax or not, just
#  contact the author. Including it in a distribution which is also
#  available free of charge (e.g. by FTP), is fine. 
#
#
#  NO WARRANTY:
#  
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
#  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
#  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-
#  INFRINGEMENT.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY 
#  CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
#  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECT-
#  ION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
##############################################################################

#Popup a box asking for coverpage info.
proc SfaxCovpg {} {
	global covpage_file atten user_name spool_dir command
	global phone send_bg_color send_fg_color RandName
	
	toplevel .sfcp
	wm title .sfcp "Cover Page Information" 

	set f ".sfcp"

	label $f.label -text "Cover Page Information"
	pack $f.label -side top -pady 10

	# Set up entry boxes
	frame $f.e -relief ridge -borderwidth 3 -bg $send_bg_color
	pack $f.e -side top -padx 10 

	foreach el {phone atten user_name} {
		switch $el {
			phone		{set l "Fax Number: "}
			atten		{set l "Attention: "}
			user_name	{set l "Sender: "}
		}

		set fe $f.e.$el
		frame $fe -bg $send_bg_color
		pack $fe -side top -fill x -padx 5

		label $fe.label \
			-text $l -width 12 \
			-relief flat -anchor e \
			-bg $send_bg_color -fg $send_fg_color

		entry $fe.entry  -textvariable $el \
			-font -adobe-courier-medium-r-normal--12-120-75-75-m-70-iso8859-1\
			-relief sunken -borderwidth 2 -width 55\
			-bg white -fg $send_fg_color

		pack $fe.label -side left -pady 3
		pack $fe.entry -side left -pady 3


	}

	set fm $f.e.memo
	frame $fm -bg $send_bg_color
	pack $fm -side top -fill x -padx 5

	label $fm.memo \
		-text "Memo: " -width 12 \
		-relief flat -anchor e \
		-bg $send_bg_color -fg $send_fg_color

	text $fm.text \
		-font -adobe-courier-medium-r-normal--12-120-75-75-m-70-iso8859-1\
		-relief sunken -borderwidth 2 -width 75 -height 15\
		-bg white -fg $send_fg_color

	pack $fm.memo -side left -pady 3
	pack $fm.text -side left -pady 3

	frame $f.fd3 -height 4m
	pack $f.fd3 -side top

#########
#What happens if we cancel from here? We clean everything up and die

	button $f.cancel -text "Cancel" -width 10 -command {exitgfax}
	pack $f.cancel -side left -padx 3 -pady 3

	button $f.ok -text "Ok" -width 10 -command {
		set fd [open $spool_dir/M.$RandName w]
		set memo [.sfcp.e.memo.text get 1.0 end]
		puts $fd $memo
		close $fd
		
		set command "$command -C \"$covpage_file -m $spool_dir/M.$RandName\" -D \"$atten\" -F \"$user_name\"" 
	}
	pack $f.ok -side right -padx 3 -pady 3

	tkwait variable memo
	destroy .sfcp
}

